For the complete documentation index, see llms.txt. This page is also available as Markdown.

Groups Assignments

Manage IAM group assignments to segments

Retrieving all group assignments for a customer segment

get

Retrieves all IAM group assignments for a given customer segment.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read customer segments.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
segmentIdstringRequired

Unique identifier of the customer segment.

Query parameters
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Responses
200

Group assignments for a customer segment were successfully retrieved.

application/json
segmentIdstringOptional

Unique identifier of the customer segment.

get/customer-segment/{tenant}/segments/{segmentId}/groups
GET /customer-segment/{tenant}/segments/{segmentId}/groups HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "segmentId": "628cd20c6e8b2432b6346ca6",
    "group": {
      "id": "1gr5e52e-6e27-4ac5-9471-2467d3fb7500",
      "name": {
        "en": "Buyers"
      }
    },
    "metadata": {
      "createdAt": "2024-10-12T12:00:00.000Z",
      "modifiedAt": "2024-10-12T12:00:00.000Z",
      "version": 1
    }
  },
  {
    "segmentId": "628cd20c6e8b2432b6346ca6",
    "group": {
      "id": "2ac869fc-d548-4ec8-8e06-c01491314124",
      "name": {
        "en": "Requesters"
      }
    },
    "metadata": {
      "createdAt": "2024-10-16T12:00:00.000Z",
      "modifiedAt": "2024-10-16T12:00:00.000Z",
      "version": 1
    }
  }
]

Searching with parameters for group assignments

post

Returns all IAM group assignments that match the provided criteria.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read customer segments.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
segmentIdstringRequired

Unique identifier of the customer segment.

Query parameters
pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Body
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

Responses
200

Group assignments for a customer segment were successfully retrieved.

application/json
segmentIdstringOptional

Unique identifier of the customer segment.

post/customer-segment/{tenant}/segments/{segmentId}/groups/search
POST /customer-segment/{tenant}/segments/{segmentId}/groups/search HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "q": "group.id:1gr5e52e-6e27-4ac5-9471-2467d3fb7500"
}
[
  {
    "segmentId": "628cd20c6e8b2432b6346ca6",
    "group": {
      "id": "1gr5e52e-6e27-4ac5-9471-2467d3fb7500",
      "name": {
        "en": "Buyers"
      }
    },
    "metadata": {
      "createdAt": "2024-10-12T12:00:00.000Z",
      "modifiedAt": "2024-10-12T12:00:00.000Z",
      "version": 1
    }
  },
  {
    "segmentId": "628cd20c6e8b2432b6346ca6",
    "group": {
      "id": "2ac869fc-d548-4ec8-8e06-c01491314124",
      "name": {
        "en": "Requesters"
      }
    },
    "metadata": {
      "createdAt": "2024-10-16T12:00:00.000Z",
      "modifiedAt": "2024-10-16T12:00:00.000Z",
      "version": 1
    }
  }
]

Retrieving a group assignment for a customer segment

get

Retrieves an IAM group assignment for a specified group and customer segment.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read customer segments.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
segmentIdstringRequired

Unique identifier of the customer segment.

groupIdstringRequired

Unique identifier of an existing IAM group.

Query parameters
fieldsstringOptional

Fields to be returned in the response.

Responses
200

Group assignment for a customer segment was successfully retrieved.

application/json
segmentIdstringOptional

Unique identifier of the customer segment.

get/customer-segment/{tenant}/segments/{segmentId}/groups/{groupId}
GET /customer-segment/{tenant}/segments/{segmentId}/groups/{groupId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "segmentId": "628cd20c6e8b2432b6346ca6",
  "group": {
    "id": "1gr5e52e-6e27-4ac5-9471-2467d3fb7500",
    "name": {
      "en": "Buyers"
    }
  },
  "metadata": {
    "createdAt": "2024-10-12T12:00:00.000Z",
    "modifiedAt": "2024-10-12T12:00:00.000Z",
    "version": 1
  }
}

Upserting a group assignment for a customer segment

put

Performs an UPSERT operation. Updates an IAM group assignment for a customer segment. Creates the assignment if it is not present in the system.

Only IAM groups with userType CUSTOMER can be assigned to a segment.

Required scopes
This endpoint requires the following scopes:
  • : Needed to create or update customer segments.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
segmentIdstringRequired

Unique identifier of the customer segment.

groupIdstringRequired

Unique identifier of an existing IAM group.

Body

Request body for creating or updating an IAM group assignment.

Responses
201

A new group assignment was successfully created.

No content

put/customer-segment/{tenant}/segments/{segmentId}/groups/{groupId}
PUT /customer-segment/{tenant}/segments/{segmentId}/groups/{groupId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216

{
  "mixins": {
    "segmentAttributes": {
      "membershipStatus": "PREMIUM"
    }
  },
  "metadata": {
    "mixins": {
      "segmentAttributes": "https://res.cloudinary.com/saas-ag/raw/upload/emporix-docs/69537caeb3fd5d378296ae42_segmentAttributes.json"
    }
  }
}

No content

Removing a group from a customer segment

delete

Removes an IAM group assignment from a customer segment.

Required scopes
This endpoint requires the following scopes:
  • : Needed to create or update customer segments.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

Your Emporix tenant name.

Note: Always write the tenant name in lowercase.

Pattern: ^[a-z][a-z0-9]+$
segmentIdstringRequired

Unique identifier of the customer segment.

groupIdstringRequired

Unique identifier of an existing IAM group.

Responses
204

Group assignment was successfully removed.

No content

delete/customer-segment/{tenant}/segments/{segmentId}/groups/{groupId}
DELETE /customer-segment/{tenant}/segments/{segmentId}/groups/{groupId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated

Was this helpful?